Bug 205578 - orphaned inode after clean umount
orphaned inode after clean umount
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-07 09:31 EDT by Kasper Dupont
Modified: 2015-01-04 17:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:37:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2006-09-07 09:31:44 EDT
Description of problem:
I mounted a firewire disk updated a few files deleted some others and unmounted
the disk. After this there were orphaned inodes found by fsck.ext3. There has
been no unclean shutdown since the last time fsck.ext3 was run on this file system.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2174_FC5
e2fsprogs-1.38-12

How reproducible:
Has only happened once

Steps to Reproduce:
(the exact steps leading to this bug are not known, this is the steps as I
remember them).
1. run fsck.ext3 to ensure a clean file system
2. mount firewire disk
3. do some updates
4. remount ro
5. sync
6. read some files
7. remount rw
8. do some more updates
9. remount ro
10. sync
11. read some files
12. remount rw
13. do some more updates
14. unmount
15. run fsck.ext3 again

The command used was:
fsck.ext3 -f -C 0 -v /dev/sda2
  
Actual results:
[root@erwin:pts/2:/home/kasperd] umount /mnt/fw
[root@erwin:pts/2:/home/kasperd] fsck.ext3 -f -C 0 -v /dev/sda2
e2fsck 1.38 (30-Jun-2005)
Clearing orphaned inode 15220737 (uid=3122, gid=100, mode=040700, size=4096)
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure                                           
Pass 3: Checking directory connectivity                                        
Pass 4: Checking reference counts                                              
Pass 5: Checking group summary information                                     
                                                                               
/dev/sda2: ***** FILE SYSTEM WAS MODIFIED *****

  543294 inodes used (1%)
    1035 non-contiguous inodes (0.2%)
         # of inodes with ind/dind/tind blocks: 49135/2873/9
43979023 blocks used (60%)
       0 bad blocks
      15 large files

  486404 regular files
   40305 directories
      10 character device files
       1 block device file
       0 fifos
   14256 links
   16563 symbolic links (14410 fast symbolic links)
       2 sockets
--------
  557541 files


Expected results:
After a clean umount I don't expect to find errors on the file system.

Additional info:
At one point I remounted read only while a large file was being deleted. The
umount command did not report that the file system was busy, but appeared to be
blocked waiting for the deletion to finish.
Comment 1 Dave Jones 2006-09-10 23:35:11 EDT
Can you repeat the above operation, and then attach the output of dmesg here?
Comment 2 Kasper Dupont 2006-09-12 19:16:30 EDT
Since I reported this bug, I did manage to reproduce it on a ramdisk. But I
don't have a reliable way to reproduce it. This time I was unable to reproduce
it, and I didn't find anything interesting in /var/log/messages from when the
problem first showed up. There are just the normal two lines when mounting:

Sep  7 11:25:30 erwin kernel: EXT3 FS on sda2, internal journal
Sep  7 11:25:30 erwin kernel: EXT3-fs: mounted filesystem with ordered data mode.

And there is a single additional line each time I remount the file system:

Sep  7 13:38:42 erwin kernel: EXT3 FS on sda2, internal journal
Sep  7 13:40:22 erwin kernel: EXT3 FS on sda2, internal journal
Sep  7 13:43:21 erwin kernel: EXT3 FS on sda2, internal journal
Sep  7 14:13:10 erwin kernel: EXT3 FS on sda2, internal journal
Comment 3 Eric Sandeen 2006-10-02 22:35:47 EDT
Do you know for sure that the filesystem was mounted read-write on the unmount
before the problematic fsck?

I'll try the "remount -o ro" while deleting a large file method, see if anything
interesting happens...
Comment 4 Dave Jones 2006-10-16 13:37:27 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:37:38 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.